API Referenz

112 Endpunkte

Jeder Endpunkt akzeptiert JSON und benötigt den X-API-Key-Header zur Authentifizierung.

Basis-URL und Header

Basis-URL
https://horizon.pm/api/v1/app
X-API-Key
Euer Projekt API Key. Sendet ihn bei jeder Anfrage mit.

Zur vollständigen API-Referenz

Endpunkte

112 von 112
MethodePfadFeaturesURL kopieren
GET/marketplace/limitsMarktplatz
GET/marketplace/rulesMarktplatz
GET/marketplaceMarktplatz
GET/marketplace/listingsMarktplatz
GET/marketplace/listings/{listingId}Marktplatz
POST/marketplace/listingsMarktplatz
POST/marketplace/listings/{listingId}/buyMarktplatz
POST/marketplace/listings/{listingId}/cancelMarktplatz
GET/marketplace/operations/{operationId}Marktplatz
POST/marketplace/listings/{listingId}/retry-returnMarktplatz
GET/chat/limitsChat
POST/chat/channels/openChat
POST/chat/channels/{channelId}/syncChat
POST/chat/channels/{channelId}/messagesChat
GET/chat/operations/{operationId}Chat
POST/chat/channels/{channelId}/messages/{messageId}/reportChat
GET/matchesMatches
GET/matches/limitsMatches
GET/matches/openMatches
GET/matches/{matchId}Matches
POST/matchesMatches
POST/matches/{matchId}/joinMatches
POST/matches/{matchId}/declineMatches
POST/matches/{matchId}/startMatches
POST/matches/{matchId}/turnMatches
POST/matches/{matchId}/timeoutMatches
POST/matches/{matchId}/leaveMatches
POST/matches/{matchId}/cancelMatches
POST/matches/{matchId}/resultMatches
POST/matches/{matchId}/ranked-runMatches
GET/shared-objects/collectionsGemeinsame Objekte
GET/shared-objects/{collection}/usageGemeinsame Objekte
GET/shared-objects/{collection}/objects/{objectId}Gemeinsame Objekte
POST/shared-objects/{collection}/queryGemeinsame Objekte
POST/shared-objects/{collection}/objectsGemeinsame Objekte
PUT/shared-objects/{collection}/objects/{objectId}Gemeinsame Objekte
DELETE/shared-objects/{collection}/objects/{objectId}Gemeinsame Objekte
GET/itemsItems
GET/items/catalogItems
POST/items/adjustItems
POST/items/equipItems
POST/items/discardItems
GET/groupsGruppen
GET/groups/{groupId}Gruppen
GET/groups/{groupId}/membersGruppen
GET/groups/{groupId}/pendingGruppen
POST/groupsGruppen
PUT/groups/{groupId}Gruppen
POST/groups/{groupId}/joinGruppen
POST/groups/{groupId}/requestGruppen
POST/groups/{groupId}/inviteGruppen
POST/groups/{groupId}/accept-inviteGruppen
POST/groups/{groupId}/decline-inviteGruppen
POST/groups/{groupId}/cancel-inviteGruppen
POST/groups/{groupId}/accept-requestGruppen
POST/groups/{groupId}/decline-requestGruppen
POST/groups/{groupId}/cancel-requestGruppen
POST/groups/{groupId}/leaveGruppen
POST/groups/{groupId}/removeGruppen
POST/groups/{groupId}/roleGruppen
POST/groups/{groupId}/transferGruppen
POST/groups/{groupId}/deleteGruppen
POST/user-management/signupAuthentifizierung
POST/user-management/signinAuthentifizierung
POST/user-management/check-authBenutzer
POST/user-management/change-nameBenutzer
GET/friendsFreunde
GET/friends/findFreunde
POST/friends/requestFreunde
POST/friends/acceptFreunde
POST/friends/declineFreunde
POST/friends/cancelFreunde
POST/friends/removeFreunde
POST/friends/blockFreunde
POST/friends/unblockFreunde
GET/achievementsErfolge
POST/achievements/unlockErfolge
POST/achievements/rewards/deliverErfolge
GET/inboxSpielerpostfach
POST/inbox/readSpielerpostfach
POST/inbox/claimSpielerpostfach
POST/inbox/removeSpielerpostfach
GET/statisticsSpielerstatistiken
GET/statistics/definitionsSpielerstatistiken
POST/statisticsSpielerstatistiken
GET/player-valuesSpielerwerte
GET/player-values/offersSpielerwerte
POST/player-values/purchaseSpielerwerte
POST/player-values/adjustSpielerwerte
GET/player-profileSpielerprofil
PUT/player-profileSpielerprofil
POST/leaderboard/submitLeaderboard
GET/leaderboards/{boardKey}/topLeaderboard
GET/leaderboards/{boardKey}/rankLeaderboard
GET/leaderboards/{boardKey}/aroundLeaderboard
POST/validated-actions/runsValidierte Aktionen
POST/validated-actions/submitValidierte Aktionen
POST/cloud-save/saveCloud-Speicher
POST/cloud-save/loadCloud-Speicher
GET/remote-config/{configKey}Remote-Konfig
GET/remote-config/allRemote-Konfig
GET/localization/{key}Lokalisierung
GET/localization/allLokalisierung
GET/newsNeuigkeiten
POST/gift-codes/validateGeschenkcodes
POST/gift-codes/redeemGeschenkcodes
POST/email-sending/sendE-Mail-Versand
GET/email-sending/{emailId}E-Mail-Versand
POST/crash-reports/sessionAbsturzberichte
POST/crash-reports/createAbsturzberichte
POST/user-feedback/submitBenutzer-Feedback
POST/user-logs/createBenutzerprotokolle

Beispielaufruf

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'